Description

Per the V2 spec, users should be able to pass in model json with attributes for associations in order to update a model's association.

See the "Many-to-One and Many-to-Many" section below:

http://theforeman.org/manuals/1.4/index.html#5.1.7HandlingAssociations

History

#1 - 03/27/2014 05:48 PM - David Davis

I think Joseph had to implement some code to deal with this. It would be worth checking the foreman codebase.

#2 - 03/27/2014 05:50 PM - David Davis

Here's the example CURL:

$ curl -k -u admin:changeme -H "Accept: version=2,application/json" \

    -H "Content-Type: application/json" -X POST \

    -d '{ "domains": [{ "name": "earendil", "id": 1}, { "name": "turgon", "id": 3 }] }' \

    https://foreman.example.com/api/subnets/iluvatar

#3 - 03/27/2014 05:52 PM - David Davis

Also, we need to support requests that have arrays with strings (of name or label?) for associations. I think currently we only support ids (e.g.

content_view_ids). Can be handled separately.

#4 - 06/04/2014 01:52 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 12/21/2015 10:53 AM - Eric Helms

- translation missing: en.field_release set to 114

#6 - 08/28/2019 07:21 PM - John Mitsch

- Status changed from New to Closed

Thanks for reporting this issue. This issue was created over 4 years ago and hasn't seen an update in 1 year. We are closing this in an effort to keep

a realistic backlog. Please open up a new issue that includes a link to this issue if you feel this still needs to be addressed. We can then triage the

new issue and reassess.

#7 - 08/28/2019 08:36 PM - Justin Sherrill

- Target version deleted (Katello Backlog)

#8 - 08/28/2019 08:44 PM - Justin Sherrill

- Status changed from Closed to Rejected
